model:
  name: seq_multitask
  kwargs:
    filters: 21
    conv1_kernel_size: 21
    tconv_kernel_size: 25
    n_dil_layers: 9
    lr: 0.004
    c_task_weight: 10
data:
  name: get_StrandedProfile_datasets
  type: Dataset
  preproc: {}
  kwargs:
    peak_width: 1000
    shuffle: true
    valid_chr:
    - chrI::AWRI1631
    - chrVI::AWRI1631
    - chrIII::AWRI1631
    - chrIX::AWRI1631
    test_chr:
    - chrVIII::AWRI1631
    - chrV::AWRI1631
    - chrXI::AWRI1631
    all_chr:
    - chrI::AWRI1631
    - chrII::AWRI1631
    - chrIII::AWRI1631
    - chrIV::AWRI1631
    - chrIX::AWRI1631
    - chrV::AWRI1631
    - chrVI::AWRI1631
    - chrVII::AWRI1631
    - chrVIII::AWRI1631
    - chrX::AWRI1631
    - chrXI::AWRI1631
    - chrXII::AWRI1631
    - chrXIII::AWRI1631
    - chrXIV::AWRI1631
    - chrXV::AWRI1631
    - chrXVI::AWRI1631
train:
  early_stop_patience: 5
  epochs: 200
  batch_size: 256
  balance_peak_classes: false
  train_epoch_frac: 1.0
  valid_epoch_frac: 1.0
evaluate:
  pos_min_threshold: 0.05
  neg_max_threshold: 0.01
  required_min_pos_counts: 2.5
  binsizes:
  - 1
  - 10
modisco: {}
path: train.hp.yaml
